View Issue Details

IDProjectCategoryView StatusLast Update
0020424mantisbtcsvpublic2017-01-23 14:53
ReportercproensaAssigned Tocproensa 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.3.0 
Target Version1.3.1Fixed in Version1.3.1 
Summary0020424: Export to CSV and Excel fails with large issue count
Description

When exporting a large number of issues, both CSV and excel export processes may fail due to memory limits.

In my system with default settings, for example, CSV fails at around 15k issues

TagsNo tags attached.

Relationships

related to 0020423 assignedcproensa review SQL queries with IN clauses that can break db query limits 
related to 0022234 closedcproensa Exporting more than 20000 issues, downloaded CSV file has zero bytes 

Activities

vboctor

vboctor

2015-12-26 19:39

manager   ~0052181

PR: https://github.com/mantisbt/mantisbt/pull/698

cproensa

cproensa

2016-07-30 13:47

developer   ~0053731

PR: https://github.com/mantisbt/mantisbt/pull/832
This is 698 cleaned after changing master branch

Related Changesets

MantisBT: master-1.3.x e4d257fb

2016-08-04 23:53:45

vboctor

Details Diff
Merge remote-tracking branch 'origin/pr/832' into master-1.3.x
mod - core/constant_inc.php Diff File
mod - core/filter_api.php Diff File
mod - csv_export.php Diff File
mod - excel_xml_export.php Diff File

MantisBT: master 404468dd

2016-08-04 23:54:37

vboctor

Details Diff
Merge remote-tracking branch 'origin/pr/832'
mod - core/constant_inc.php Diff File
mod - core/filter_api.php Diff File
mod - csv_export.php Diff File
mod - excel_xml_export.php Diff File

MantisBT: master-1.3.x 84f43e0f

2016-08-11 12:28:14

cproensa


Committer: dregad Details Diff
Fix error for excel export page

Fix an error introduced by commit f233869f, that makes
excel_xml_export.php throw an error when exporting issues.

Issue 0020424

Signed-off-by: Damien Regad <dregad@mantisbt.org>
mod - excel_xml_export.php Diff File

MantisBT: master-1.3.x b08cafe9

2016-08-15 19:22:18

cproensa


Committer: dregad Details Diff
Remove undeclared variables from excel, csv export

The undeclared variables were introduced by error after rebasing PR from
Issue 0020424
mod - csv_export.php Diff File
mod - excel_xml_export.php Diff File

MantisBT: master-1.3.x 4d160125

2016-08-19 21:02:15

cproensa


Committer: dregad Details Diff
Fix querying zero projects

Fix the new api functions, to support the case when a user doesn't have
any accessible project. In this case the filter query can't be built, so
fix returning empty values.

Affected functions were introduced in relation to Issues 0020424, 0021072.
mod - core/database_api.php Diff File
mod - core/filter_api.php Diff File
mod - core/history_api.php Diff File

Issue History

Date Modified Username Field Change
2015-12-24 11:46 cproensa New Issue
2015-12-26 19:38 vboctor Assigned To => community
2015-12-26 19:38 vboctor Status new => assigned
2015-12-26 19:39 vboctor Note Added: 0052181
2015-12-26 19:40 vboctor Relationship added related to 0020423
2016-01-19 15:22 atrol Assigned To community => cproensa
2016-07-30 13:47 cproensa Note Added: 0053731
2016-08-05 04:51 cproensa Changeset attached => MantisBT master-1.3.x e4d257fb
2016-08-05 04:51 cproensa Changeset attached => MantisBT master 404468dd
2016-08-05 04:52 cproensa Product Version => 1.3.0
2016-08-05 04:52 cproensa Fixed in Version => 1.3.1
2016-08-05 04:53 cproensa Status assigned => resolved
2016-08-05 04:53 cproensa Resolution open => fixed
2016-08-05 07:31 atrol Target Version => 1.3.1
2016-08-12 12:05 dregad Changeset attached => MantisBT master-1.3.x 84f43e0f
2016-08-16 04:25 dregad Changeset attached => MantisBT master-1.3.x b08cafe9
2016-08-27 17:51 dregad Changeset attached => MantisBT master-1.3.x 4d160125
2016-08-28 01:12 vboctor Status resolved => closed
2017-01-23 14:53 cproensa Relationship added related to 0022234